=== debian/changelog ===
fcitx-qimpanel (0.1.0-0ubuntu1) saucy; urgency=low

  * Initial release. (LP: #1226492)

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 16 Sep 2013 22:08:33 +0800
