## fcitx-qimpanel 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,16 @@
 SET(fcitx-qimpanel_RCCS qml.qrc)
 set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
     main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
-    my_action.cpp cfg/readwritecfg.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
+    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp
+    skin/skinsogou.cpp)
 QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
     org.kde.impanel.xml
     kimpanelagent.h
     PanelAgent)
 QT4_ADD_TRANSLATION(fcitx-qimpanel_TRAN_SRCS ${fcitx-qimpanel_TRANS})
 QT4_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})
+
+configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
 
 add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_TRAN_SRCS}
     ${fcitx-qimpanel_RCC_SRCS})
@@ -26,7 +29,9 @@
     ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} 
     ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
-install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
+set(pkgbindir 	/usr/bin/)
+set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})
+install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${pkgdatadir})
 
 add_subdirectory(uk-default-skin)
