=== debian/changelog ===
fcitx-qimpanel (0.1.5-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 20 Mar 2014 19:21:52 +0800

fcitx-qimpanel (0.1.4-0ubuntu2) trusty; urgency=low

  * Add fcitx-qimpanel-configtool to Recommends.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 06 Mar 2014 11:57:58 +0800

fcitx-qimpanel (0.1.4-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Invoke with exec to save a PID.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 18 Feb 2014 09:11:10 +0800

fcitx-qimpanel (0.1.3-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 17 Dec 2013 00:59:53 +0800

fcitx-qimpanel (0.1.2-0ubuntu1) trusty; urgency=low

  * New upstream release:
    Improved skin support.

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 07 Dec 2013 01:15:48 +0800

fcitx-qimpanel (0.1.1-0ubuntu1) trusty; urgency=low

  * New upstream release:
    Add experimental support of sogou skins.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 19 Nov 2013 12:27:05 +0800
