=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          fcitx-module-dbus (>= 1:4.2.8.1),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: fcitx (>= 1:4.2.8.1)
+Recommends: fcitx (>= 1:4.2.8.1), fcitx-qimpanel-configtool (>= ${source:Upstream-Version})
 Breaks: fcitx (<< 1:4.2.8.1)
 Description: Flexible Input Method Framework - Qt IMPanel user interface
  Fcitx is a input method framework with extension support, which provides
@@ -25,4 +25,4 @@
  using a variety of mapping systems.
  .
  This package provides the Qt IMPanel user interface developed by
- UbuntuKylin Team.
+ Ubuntu Kylin Team.
