## fcitx-qimpanel 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
 SET(fcitx-qimpanel_RCCS qml.qrc)
 set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
     main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
-    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp
-    skin/skinsogou.cpp)
+    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
 QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
     org.kde.impanel.xml
     kimpanelagent.h
@@ -35,3 +34,4 @@
 install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${pkgdatadir})
 
 add_subdirectory(uk-default-skin)
+add_subdirectory(config-tool)
