=== debian/changelog ===
fcitx-qimpanel (2.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 20 Mar 2015 17:29:06 +0800

fcitx-qimpanel (2.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 05 Mar 2015 15:11:07 +0800

fcitx-qimpanel (1.1.0-0ubuntu3) vivid; urgency=medium

  * Add fcitx-module-kimpanel to Depends.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 12 Feb 2015 13:18:10 +0800

fcitx-qimpanel (1.1.0-0ubuntu2) vivid; urgency=medium

  * Move autostart binary out of PATH

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 09 Feb 2015 13:49:31 +0800

fcitx-qimpanel (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1408514)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 06 Feb 2015 21:12:56 +0800

fcitx-qimpanel (1.0.0-0ubuntu1) utopic; urgency=low

  * New upstream release
    - sync code with sogou-qimpanel
    - merge fcitx-qimpanel-configtool
  * debian/copyright: update
  * debian/control: add Breaks and Replaces

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 15 Sep 2014 21:35:45 +0800

fcitx-qimpanel (0.1.6-0ubuntu1) utopic; urgency=low

  * New upstream release

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 28 Jul 2014 05:04:50 +0800
