=== po/CMakeLists.txt ===
--- 
+++ 
@@ -29,5 +29,6 @@
   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-qimpanel-pot
 )
 ADD_CUSTOM_TARGET(pot_file
-  DEPENDS ${POT_FILE}
+  ALL DEPENDS ${POT_FILE}
 )
+
