=== debian/changelog ===
fcitx-qimpanel (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 18 Jul 2015 21:22:29 +0800

fcitx-qimpanel (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #777221)

 -- Aron Xu <aron@debian.org>  Fri, 06 Feb 2015 21:12:56 +0800
