=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                fcitx-libs-dev (>= 1:4.2.8.1),
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               pkg-config,
+               qtbase5-dev (>= 5.4.2~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               qtdeclarative5-dev
 Standards-Version: 3.9.6
 Homepage: http://github.com/lenky0401/fcitx-qimpanel
