## fcitx-qimpanel 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.8.6)
 option(QT_5 "This is a option for QT_5" OFF)
 option(QT_4 "This is a option for QT_4" ON)
-SET(CMAKE_C_FLAGS "-std=c++11 -g -O0  ${CMAKE_C_FLAGS} ${HARDENED_C_FLAGS}")
-SET(CMAKE_CXX_FLAGS "-std=c++11 -g -O0  ${CMAKE_CXX_FLAGS} ${HARDENED_C_FLAGS}")
+SET(CMAKE_C_FLAGS "-std=c++11 -g -O0 -DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_C_FLAGS} ${HARDENED_C_FLAGS}")
+SET(CMAKE_CXX_FLAGS "-std=c++11 -g -O0 -DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_CXX_FLAGS} ${HARDENED_C_FLAGS}")
 if(QT_5)
     find_package(Fcitx 4.2.7 REQUIRED)
     find_package(Qt5DBus REQUIRED)
@@ -71,8 +71,8 @@
         ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 endif()
 
-    set(pkgbindir 	/usr/bin/)
-    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+    set(pkgbindir       ${CMAKE_INSTALL_PREFIX}/bin)
+    set(pkgdatadir      ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
     install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})
 
     add_subdirectory(ubuntu-default-skin)
