=== config-tool/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 cmake_minimum_required(VERSION 2.8.6)
 option(QT_5 "This is a option for QT_5" ON)
 option(QT_4 "This is a option for QT_4" OFF)
+SET(CMAKE_C_FLAGS "-DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_C_FLAGS}")
+SET(CMAKE_CXX_FLAGS "-DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_CXX_FLAGS}")
 find_package(Fcitx 4.2.7 REQUIRED)
 if(QT_5)
     find_package(Qt5DBus REQUIRED)
@@ -79,8 +81,8 @@
         #${QT_QTNETWORK_LIBRARY}
         )
 endif()
-    install(FILES fcitx_ubuntukylin.png DESTINATION /usr/share/pixmaps)
-    install(FILES fcitx-qimpanel-configtool.desktop DESTINATION /usr/share/applications)
-    set(pkgbindir 	/usr/bin/)
-    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+    install(FILES fcitx_ubuntukylin.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
+    install(FILES fcitx-qimpanel-configtool.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+    set(pkgbindir       ${CMAKE_INSTALL_PREFIX}/bin)
+    set(pkgdatadir      ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
     install(TARGETS fcitx-qimpanel-configtool RUNTIME DESTINATION ${pkgbindir})
