=== po/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
     DEPENDS ${_file}
   )
-  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION /usr/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
+  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${CMAKE_INSTALL_PREFIX}/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
   _GETTEXT_GET_UNIQUE_TARGET_NAME( pofiles uniqueTargetName)
   ADD_CUSTOM_TARGET(${uniqueTargetName} ALL DEPENDS ${_gmoFile})
 ENDFOREACH(_file)
