=== debian/changelog ===
fcitx-qimpanel (2.1.3-1) unstable; urgency=medium

  * Merge upstream/2.1.3
  * Remove unused d/files
  * Drop patches, merged upstream

 -- Aron Xu <aron@debian.org>  Sat, 30 Sep 2017 14:51:23 +0800

fcitx-qimpanel (2.1.2-3) unstable; urgency=medium

  * Add qml-module-qtquick2 to Depends.

 -- Aron Xu <aron@debian.org>  Wed, 27 Sep 2017 17:03:46 +0800

fcitx-qimpanel (2.1.2-2) unstable; urgency=medium

  * debian/patches/ubuntu-1590324.patch:
    Fix crash in systray menu clear (LP: #1590324)
  * debian/rules: hardening=+all
  * debian/control:
    - Update std-ver to 3.9.8, no change.
    - Update upstream homepage

 -- Aron Xu <aron@debian.org>  Tue, 27 Dec 2016 11:41:16 +0800
