=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                qttools5-dev,
                qttools5-dev-tools,
                qtdeclarative5-dev
-Standards-Version: 3.9.6
-Homepage: http://github.com/lenky0401/fcitx-qimpanel
+Standards-Version: 4.0.0
+Homepage: http://github.com/UbuntuKylin/fcitx-qimpanel
 
 Package: fcitx-ui-qimpanel
 Architecture: any
@@ -21,6 +21,7 @@
          fcitx-modules,
          fcitx-module-dbus (>= 1:4.2.8.1),
          fcitx-module-kimpanel (>= 1:4.2.8.1),
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fcitx (>= 1:4.2.8.1)
